Github Actions Swift Tools

Swift-tools 5.3.0 has been released last month. The github mac-latest installation seems to use 5.2.0 for the workflow, hence the build fails with Package <package> is using Swift tools version 5.3.0 but the installed version is 5.2.0.

Is that something I can fix other than lower the tools version or do I have to wait for Github?

Just set :
DEVELOPER_DIR: /Applications/Xcode_12.app/Contents/Developer
in your yml file